spandsp 0.0.6

bitstream_state_s Struct Reference

`#include <bitstream.h>`

## Public Attributes
uint32_t | bitstream
int | residue
int | lsb_first

## Detailed Description

Bitstream handler state

## Member Data Documentation

## ◆ bitstream

uint32_t bitstream_state_s::bitstream

The bit stream.

Referenced by bitstream_emit(), bitstream_flush(), bitstream_get(), bitstream_init(), bitstream_put(), g726_decode(), and g726_encode().

## ◆ lsb_first

int bitstream_state_s::lsb_first

TRUE if the stream is LSB first, else MSB first

Referenced by bitstream_emit(), bitstream_get(), bitstream_init(), and bitstream_put().

## ◆ residue

int bitstream_state_s::residue

The residual bits in bitstream.

Referenced by bitstream_emit(), bitstream_flush(), bitstream_get(), bitstream_init(), bitstream_put(), g726_decode(), and g726_encode().

The documentation for this struct was generated from the following file:

- private/bitstream.h